Subject: [EAI] review of rfc5335bis-05.txt

From: "YAO Jiankang" <[email-masked]>
Date: Sat, 04 Dec 2010 14:19:08 +0800

the ABNF syntax defined in this document need some improvments.

comments 1:
section 4.3
   FWS     =  <see [RFC5322] Section 3.2.2, folding white space>

   CFWS    =  <see [RFC5322] Section 3.2.2>

suggestions: 
to keep the style same, delete folding white space or add something in CFWS.

comments 2:
in section 4.3
ctext   =/  UTF8-non-ascii

it should be 
uCtext   =%d33-39 /          ; Printable US-ASCII
              %d42-91 /          ;  characters not including
                   %d93-126 /         ;  "(", ")", or "\"
                   obs-ctext  ;
                 UTF8-non-ascii
since ctext has been defined in rfc5322.

comments 3:
in section 4.3
qcontent       =/ uQcontent

it should be deleted since qcontent is not used anywhere in this document.

comments 4:
in section 4.4
uLocal-Part    = uDot-Atom / uQuoted-String / obs-local-part

where uQuoted-String  is not defined anywhere.
BTW, I think that uQuoted-String is not necessary, Quoted-String is ok since there
has a uDot-Atom.

comments 5:
in section 4.4
   uDomain        =  uDot-Atom / domain-literal / obs-domain

   domain-literal = <See Section 3.4.1 of RFC 5322>

where  obs-domain should be also defined or be pointed out where it is from.

comments 6:
in section 4.5

   received-token =/ uAddr-Spec

it should be 
uRreceived-token  =   word / angle-addr / uAddr-spec / domain

comments 7:

6.  IANA Considerations

   IANA has registered the message/global MIME type using the
   registration form contained in Section 4.4.

where now it should be Section 4.6 intead of Section 4.4..

comments 8:

8.  Edit history

   This section is used for tracking the update of this document.  Will
   be removed after finalize.

I think that it should use the following format:

[[anchor11: RFC Editor: Please remove this section.]]

so that the rfc editor can easily identify it and remove it.

BTW, it is better that Shawn can double check it.

Jiankang Yao

---

From: Alexey Melnikov <[email-masked]>
Date: Sat, 04 Dec 2010 11:46:57 +0000

Hi Jiankang,

>to keep the style same, delete folding white space or add something in CFWS.
Your suggestion is fine, but I would leave this to the discretion of the 
editor.

>since ctext has been defined in rfc5322.
Actually, I wouldn't do this change, because <ctext> is used in many 
other places in RFC 5322. We really want to be extending it, I think.

>it should be deleted since qcontent is not used anywhere in this document.
It is used indirectly to update <quoted-string> in RFC 5322. So I think 
we need to keep it.

>where uQuoted-String  is not defined anywhere.
Good point.

>BTW, I think that uQuoted-String is not necessary,
>
It is used in Section 4.3.
We might get away with only defining the updated <qcontent> (or 
<uQcontent>), or <uQuoted-String>, but I am not entirely sure.

>Quoted-String is ok since there has a uDot-Atom.
>
>comments 5:
>in section 4.4
+1.

>uRreceived-token  =   word / angle-addr / uAddr-spec / domain
No. This is extending something defined in RFC 5322.

>where now it should be Section 4.6 intead of Section 4.4..
Good catch.

>so that the rfc editor can easily identify it and remove it.
Agreed.

>BTW, it is better that Shawn can double check it.
Best Regards,
Alexey

-- 
IETF Application Area Director, <http://www.ietf.org/iesg/members.html>
Internet Messaging Team Lead, <http://www.isode.com>
JID: same as my email address